OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
IniItem Struct Reference

A single "line" in an ini file. More...

`#include <ini_type.h>`

## Public Member Functions
| IniItem (struct IniGroup *parent, const char *name, const char *last=NULL)
| Construct a new in-memory item of an Ini file.
| ~IniItem ()
| Free everything we loaded.
void | SetValue (const char *value)
| Replace the current value with another value.

## Data Fields
IniItem * | next
| The next item in this group.
char * | name
| The name of this item.
char * | value
| The value of this item.
char * | comment
| The comment associated with this item.

## Detailed Description

A single "line" in an ini file.

Definition at line 25 of file ini_type.h.

## Constructor & Destructor Documentation

IniItem::IniItem | ( | struct IniGroup * | parent,
|  | const char * | name,
|  | const char * | last = `NULL`
| ) |  |

Construct a new in-memory item of an Ini file.

Parameters

  parent | the group we belong to
  name | the name of the item
  last | the last element of the name of the item

Definition at line 26 of file ini_load.cpp.

References IniGroup::last_item, next, str_validate(), and stredup().

IniItem::~IniItem | ( |  | ) |

Free everything we loaded.

Definition at line 36 of file ini_load.cpp.

References comment, free(), name, next, and value.

## Member Function Documentation

void IniItem::SetValue | ( | const char * | value | ) |

Replace the current value with another value.

Parameters

  value | the value to replace with.

Definition at line 49 of file ini_load.cpp.

References free(), and stredup().

Referenced by IniSaveSettingList(), HotkeyList::Save(), and SaveVersionInConfig().

The documentation for this struct was generated from the following files:

- src/ini_type.h
- src/ini_load.cpp